package com.muyu.task.feign;

import com.muyu.common.core.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @PackageName:com.muyu.task.feign
 * @ClassName:dataValue
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/4 15:13
 */
//,fallback = TaskFeignFallback.class
@FeignClient(name = "cloud-source")
public interface DataValueClient {

    @PostMapping("/DataValue/findTableValue")
    public Result findTableValue(@RequestParam("basicId") Long basicId,@RequestParam("sql") String sql);
}
