package com.muyu.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.TaskJoinInfo;
import com.muyu.mapper.TaskJoinMapper;
import com.muyu.service.TaskJoinService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskJoinController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/1 16:04
 */
@RestController
@RequestMapping("/taskJoin")
public class TaskJoinController {

    @Autowired
    private TaskJoinService taskJoinService;


    @PostMapping(value = "addTaskJoin")
    public Result<String> addTaskJoin(@RequestBody TaskJoinInfo taskJoinInfo){

        return Result.success(null,taskJoinService.addTaskJoin(taskJoinInfo));
    };
}
